"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrgTokens = void 0;
const baseResource_1 = require("./baseResource");
class OrgTokens extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/users", config);
    }
    async create(userId, request) {
        return this.httpPost(`/${userId}/api-tokens`, { data: request });
    }
    async revoke(userId, tokenId) {
        return this.httpDelete(`/${userId}/api-tokens/${tokenId}`);
    }
    async list(userId) {
        return this.httpGet(`/${userId}/api-tokens`);
    }
}
exports.OrgTokens = OrgTokens;
