"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
const testHelpers_1 = require("./testHelpers");
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
const statementId = [];
describe("Statements List", () => {
    test("Get Statements List", async () => {
        const res = await unit.statements.list({ sort: "-period" });
        expect(res.data.length).toBeGreaterThan(0);
        res.data.forEach(element => {
            // expect(element.type === "statement").toBeTruthy()
            statementId.push(element.id);
        });
    });
});
describe("Get Statement Test", () => {
    test("get one statement", async () => {
        const res = await unit.statements.get(statementId[0]);
        expect(res.includes("html")).toBeTruthy();
    });
});
describe("Get Bank Verification Test", () => {
    test("get bank verification", async () => {
        const account = await (0, testHelpers_1.createIndividualAccount)(unit);
        const res = await unit.statements.getBankVerification(account.data.id);
        expect(res.includes("PDF")).toBeTruthy();
        // Example for saving the pdf on the server,
        // fs.writeFileSync(__dirname + "/bankVerification.pdf", res, "binary")
        // note that the default responseEncoding is "binary" and responseType is "blob" and may be changed according
        // to different setups
    });
});
